<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>水平垂直居中</title>
    <style>
        *{
            padding: 0;
            margin: 0;
        }
        html,body{
            width: 100%;
            height: 100%;
        }
        /* .cover-common{
            position: relative;
            width: 100%;
            height: 100%;
        }
        .cover-common .item{
            position: absolute;
            left: 50%;
            top:50%;
            background-color: red;
            width: 100px;
            height: 100px;
            margin-left: -50px;
            margin-top:-50px;
        } */
        .cover-flex{
            display: flex;
            width: 100%;
            height: 100%;
            justify-content: center;
            align-items: center
        }
        .cover-flex .flex-item{
            width: 75px;
            height: 75px;
            background-color: blue;
        }
        
    </style>
</head>
<body>
    <!-- <div class="cover-common">
        <div class="item"></div>
    </div> -->
    <div class="cover-flex">
        <div class="flex-item"></div>
    </div>
</body>
</html>